import { Element } from "../Element";
import "./ProgressBar.style.css";
export const ProgressBar = (props) => {
    const objInner = Element({ tag: "div", className: "progress-bar-inner" });
    const obj = Element({ tag: "div", ...props, content: objInner });
    obj.classList.add("progress-bar");
    if (props.value) {
        objInner.style.width = `${props.value}%`;
    }
    if (props.infinite) {
        objInner.classList.add("progress-bar-infinite");
    }
    obj.set = (value, animated = false) => {
        if (animated) {
            objInner.style.transition = "width 0.5s ease-in-out";
        }
        objInner.style.width = `${value}%`;
    };
    switch (props.size) {
        case "small":
            obj.classList.add("progress-bar-small");
            break;
        case "medium":
            obj.classList.add("progress-bar-medium");
            break;
        case "large":
            obj.classList.add("progress-bar-large");
            break;
        default:
            obj.classList.add("progress-bar-medium");
            break;
    }
    return obj;
};
//# sourceMappingURL=ProgressBar.js.map